com.h3c.of.common

## Interface MessageSink

- All Known Implementing Classes:
    ProgrammableSink

      public interface MessageSink

  Defines the interface between the `OpenflowController` and the layer above it. This is where the controller will notify of the comings and goings of datapath connections, and to where it will post incoming OpenFlow messages.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dataPathAdded(DataPathId dpid, ProtocolVersion negotiated, IpAddress ip)` Invoked by the controller when a new datapath has completed the handshake sequence and is ready to talk OpenFlow.
    `void` | `dataPathRemoved(DataPathId dpid, ProtocolVersion negotiated, IpAddress ip)` Invoked by the controller when a datapath connection is dropped.
    `void` | `dataPathRevoked(DataPathId dpid, ProtocolVersion negotiated, IpAddress ip)` Invoked by the controller when a datapath connection is refused because a datapath with the given ID is already connected.
    `void` | `msgRx(OpenflowMessage msg, DataPathId dpid, int auxId, ProtocolVersion negotiated)` OpenFlow message received from the specified datapath on the given auxiliary channel.

- - ### Method Detail

    - #### dataPathAdded

          void dataPathAdded(DataPathId dpid,
                           ProtocolVersion negotiated,
                           IpAddress ip)

      Invoked by the controller when a new datapath has completed the handshake sequence and is ready to talk OpenFlow. The IP address is that of the remote end of the connection (i.e. the IP address of the switch).
      Parameters:
        `dpid` - the datapath id
        `negotiated` - the negotiated protocol version
        `ip` - the IP address of the switch

    - #### dataPathRemoved

          void dataPathRemoved(DataPathId dpid,
                             ProtocolVersion negotiated,
                             IpAddress ip)

      Invoked by the controller when a datapath connection is dropped. The IP address is that of the remote end of the connection (i.e. the IP address of the switch).
      Parameters:
        `dpid` - the datapath id
        `negotiated` - the negotiated protocol version
        `ip` - the IP address of the switch

    - #### dataPathRevoked

          void dataPathRevoked(DataPathId dpid,
                             ProtocolVersion negotiated,
                             IpAddress ip)

      Invoked by the controller when a datapath connection is refused because a datapath with the given ID is already connected.
      Parameters:
        `dpid` - the datapath id (duplicated)
        `negotiated` - the negotiated version
        `ip` - the IP address of the switch

    - #### msgRx

          void msgRx(OpenflowMessage msg,
                   DataPathId dpid,
                   int auxId,
                   ProtocolVersion negotiated)

      OpenFlow message received from the specified datapath on the given auxiliary channel.
      Parameters:
        `msg` - the message
        `dpid` - the datapath ID
        `auxId` - the auxiliary channel ID
        `negotiated` - the negotiated protocol version

Copyright © 2014. All Rights Reserved.